Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154702 - memory is reduced, large processes are much slower
Summary: memory is reduced, large processes are much slower
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-13 16:34 UTC by Jake Dias
Modified: 2015-01-04 22:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-04 13:38:30 UTC


Attachments (Terms of Use)

Description Jake Dias 2005-04-13 16:34:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Fedora/1.7.6-1.2.5

Description of problem:
large processes run much slower, and are even, sometimes, killed even though there is lots of spare memory.

Version-Release number of selected component (if applicable):
any kernel -above- 2.6.9-1.667

How reproducible:
Always

Steps to Reproduce:
1. boot 2.6.10-1.770_FC3 (or 2.6.11)
2. run as non-root user: dd if=/dev/zero bs=1M | perl -e '@f=<>'
3. wait - system might slow down for a few seconds
4. note the number of records written by dd
  

Actual Results:  in 2.6.10/11 results:
$ dd if=/dev/zero bs=1M | perl -e '@f=<>'
Out of memory!
1825+0 records in
1825+0 records out
$

Expected Results:  in 2.6.9 results:
$ dd if=/dev/zero bs=1M | perl -e '@f=<>'
Out of memory!
3649+0 records in
3648+0 records out
$

Additional info:

machine is a P4 has 4Gb of real ram, plus 4Gb of swap.

Comment 1 Dave Jones 2005-07-15 17:31:18 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 2 Jake Dias 2005-08-10 23:28:27 UTC
I've tried fc3 and fc4 with latest kernels - the problem persists :-(

There is a better explanation and even a possible fix here:

http://groups.google.com/group/linux.kernel/browse_thread/thread/4eee0eee2ac7e7b0/c6b24f7fbed3b9cc

Can that be incorporated?

thanks
jake

Comment 3 Dave Jones 2005-09-30 06:01:56 UTC
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.


Comment 4 Dave Jones 2005-11-10 18:58:33 UTC
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.


Comment 5 Dave Jones 2006-02-03 05:07:52 UTC
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.


Comment 6 John Thacker 2006-05-04 13:38:30 UTC
Closing per previous comment.


Note You need to log in before you can comment on or make changes to this bug.